%define lalsuite_version      7.22
%define release               1

%define lal_version           7.5.0
%define lalframe_version      3.0.4
%define lalmetaio_version     4.0.4
%define lalsimulation_version 5.4.0
%define lalburst_version      2.0.4
%define lalinspiral_version   5.0.0
%define lalpulsar_version     6.1.0
%define lalinference_version  4.1.6
%define lalapps_version       10.0.0

Name: lalsuite
Version: %{lalsuite_version}
Release: %{release}%{?dist}
License: GPLv2+
URL: https://git.ligo.org/lscsoft/lalsuite
Summary: LIGO Algorithm Library Suite
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz

# srpm requires
BuildRequires: python-rpm-macros
BuildRequires: python3-rpm-macros

# build requires
BuildRequires: python3 >= 3.6
BuildRequires: python3-pip
BuildRequires: python3-setuptools

Requires: lal = %{lal_version}
Requires: lalframe = %{lalframe_version}
Requires: lalmetaio = %{lalmetaio_version}
Requires: lalsimulation = %{lalsimulation_version}
Requires: lalburst = %{lalburst_version}
Requires: lalinspiral = %{lalinspiral_version}
Requires: lalinference = %{lalinference_version}
Requires: lalpulsar = %{lalpulsar_version}
Requires: lalapps = %{lalapps_version}
%if 0%{?rhel} < 8
# replace gstlal, gstlal-ugly, gstlal-inspiral, gstlal-calibration, and gstlal-burst on rhel7
Provides: gstlal = 1.9.0-3.2
Obsoletes: gstlal < 1.9.0-3.2
Provides: gstlal-ugly = 1.9.1-4.4
Obsoletes: gstlal-ugly < 1.9.1-4.4
Provides: gstlal-inspiral = 1.9.3-2.2
Obsoletes: gstlal-inspiral < 1.9.3-2.2
Provides: gstlal-calibration = 1.3.1-3.2
Obsoletes: gstlal-calibration < 1.3.1-3.2
Provides: gstlal-burst = 0.3.1-1.2
Obsoletes: gstlal-burst < 0.3.1-1.2
# replace bayeswave on rhel7
Provides: bayeswave = 1.0.13-1.1
Obsoletes: bayeswave < 1.0.13-1.1
%endif
# replace old lscsoft-lalsuite meta-package
Provides: lscsoft-lalsuite = 20191213-2
Obsoletes: lscsoft-lalsuite < 20191213-2
%description
The LSC Algorithm Library Suite for gravitational wave data analysis.
This package provides all the different packages for the various
LALSuite component packages.

%package -n %{name}-devel
Summary: LSC Algorithm Library Suite - Development
Requires: liblal-devel = %{lal_version}
Requires: liblalframe-devel = %{lalframe_version}
Requires: liblalmetaio-devel = %{lalmetaio_version}
Requires: liblalsimulation-devel = %{lalsimulation_version}
Requires: liblalburst-devel = %{lalburst_version}
Requires: liblalinspiral-devel = %{lalinspiral_version}
Requires: liblalinference-devel = %{lalinference_version}
Requires: liblalpulsar-devel = %{lalpulsar_version}
%if 0%{?rhel} < 8
# replace gstlal, gstlal-ugly, gstlal-inspiral, gstlal-calibration, and gstlal-burst on rhel7
Provides: gstlal-devel = 1.9.0-3.2
Obsoletes: gstlal-devel < 1.9.0-3.2
Provides: gstlal-ugly-devel = 1.9.1-4.4
Obsoletes: gstlal-ugly-devel < 1.9.1-4.4
Provides: gstlal-inspiral-devel = 1.9.3-2.2
Obsoletes: gstlal-inspiral-devel < 1.9.3-2.2
Provides: gstlal-calibration-devel = 1.3.1-3.2
Obsoletes: gstlal-calibration-devel < 1.3.1-3.2
Provides: gstlal-burst-devel = 0.3.1-1.2
Obsoletes: gstlal-burst-devel < 0.3.1-1.2
# replace bayeswave on rhel7
Provides: bayeswave-devel = 1.0.13-1.1
Obsoletes: bayeswave-devel < 1.0.13-1.1
%endif
%description devel
This meta-package provides all the different development packages for
the various LALSuite component packages.

%package -n %{name}-octave
Summary: LSC Algorithm Library Suite - Octave Bindings
Requires: lal-octave = %{lal_version}
Requires: lalframe-octave = %{lalframe_version}
Requires: lalmetaio-octave = %{lalmetaio_version}
Requires: lalsimulation-octave = %{lalsimulation_version}
Requires: lalburst-octave = %{lalburst_version}
Requires: lalinspiral-octave = %{lalinspiral_version}
Requires: lalinference-octave = %{lalinference_version}
Requires: lalpulsar-octave = %{lalpulsar_version}
%description octave
This meta-package provides all the different Octave packages for
the various LALSuite component packages.

%package -n %{name}-debug
Summary: LSC Algorithm Library Suite - Debug
Requires: lal-debuginfo = %{lal_version}
Requires: lalframe-debuginfo = %{lalframe_version}
Requires: lalmetaio-debuginfo = %{lalmetaio_version}
Requires: lalsimulation-debuginfo = %{lalsimulation_version}
Requires: lalburst-debuginfo = %{lalburst_version}
Requires: lalinspiral-debuginfo = %{lalinspiral_version}
Requires: lalinference-debuginfo = %{lalinference_version}
Requires: lalpulsar-debuginfo = %{lalpulsar_version}
%if 0%{?rhel} < 8
# replace gstlal, gstlal-ugly, gstlal-inspiral, gstlal-calibration, and gstlal-burst on rhel7
Provides: gstlal-debuginfo = 1.9.0-3.2
Obsoletes: gstlal-debuginfo < 1.9.0-3.2
Provides: gstlal-ugly-debuginfo = 1.9.1-4.4
Obsoletes: gstlal-ugly-debuginfo < 1.9.1-4.4
Provides: gstlal-inspiral-debuginfo = 1.9.3-2.2
Obsoletes: gstlal-inspiral-debuginfo < 1.9.3-2.2
Provides: gstlal-calibration-debuginfo = 1.3.1-3.2
Obsoletes: gstlal-calibration-debuginfo < 1.3.1-3.2
Provides: gstlal-burst-debuginfo = 0.3.1-1.2
Obsoletes: gstlal-burst-debuginfo < 0.3.1-1.2
# replace bayeswave on rhel7
Provides: bayeswave-debuginfo = 1.0.13-1.1
Obsoletes: bayeswave-debuginfo < 1.0.13-1.1
%endif
%description debug
This meta-package provides all the different debugindo packages for
the various LALSuite component packages.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# validate that pip thinks that lalsuite is already installed
PYTHONPATH=%{buildroot}%{python3_sitelib}:${PYTHONPATH} %{__python3} -m pip show %{name}

%files -n %{name}
%doc README.md
%license COPYING
%{python3_sitelib}

%files -n %{name}-devel
%doc README.md
%license COPYING

%files -n %{name}-octave
%doc README.md
%license COPYING

%files -n %{name}-debug
%doc README.md
%license COPYING

# dates should be formatted using: 'date +"%a %b %d %Y"'
%changelog
* Tue Mar 26 2024 Duncan Macleod <duncan.macleod@ligo.org> 7.22-1
- Update for 7.22

* Mon Oct 23 2023 Adam Mercer <adam.mercer@ligo.org> 7.21-1
- Update for 7.21

* Fri Oct 20 2023 Adam Mercer <adam.mercer@ligo.org> 7.20-1
- Update for 7.20

* Mon Aug 07 2023 Adam Mercer <adam.mercer@ligo.org> 7.19-1
- Update for 7.19

* Thu May 18 2023 Adam Mercer <adam.mercer@ligo.org> 7.15-1.2
- LALInference, LALPulsar, and LALApps now available for RL8

* Tue Apr 25 2023 Adam Mercer <adam.mercer@ligo.org> 7.15-1
- Update for 7.15

* Mon Apr 10 2023 Adam Mercer <adam.mercer@ligo.org> 7.14-1.1
- Fix LALSimulation version

* Mon Apr 10 2023 Adam Mercer <adam.mercer@ligo.org> 7.14-1
- Update for 7.14

* Mon Mar 06 2023 Adam Mercer <adam.mercer@ligo.org> 7.13-1
- update for 7.13

* Fri Nov 11 2022 Adam Mercer <adam.mercer@ligo.org> 7.11-3
- rename debug meta-package to lalsuite-debug as debuginfo has a special meaning and is handled differently

* Thu Nov 10 2022 Adam Mercer <adam.mercer@ligo.org> 7.11-2
- Add lalsuite-debuginfo meta-packages

* Thu Nov 03 2022 Adam Mercer <adam.mercer@ligo.org> 7.11-1
- Update for 7.11

* Fri Sep 30 2022 Adam Mercer <adam.mercer@ligo.org> 7.10-1
- Update for 7.10

* Fri Sep 30 2022 Adam Mercer <adam.mercer@ligo.org> 7.9-1
- Update for 7.9

* Tue Sep 06 2022 Adam Mercer <adam.mercer@ligo.org> 7.8-1.2
- Update for 7.8

* Thu Aug 25 2022 Adam Mercer <adam.mercer@ligo.org> 7.7-1
- Update for 7.7

* Mon Aug 08 2022 Adam Mercer <adam.mercer@ligo.org> 7.6-1.4
- Correctly update from previous release due to lalpulsar no longer build built on rhel8

* Fri Aug 05 2022 Adam Mercer <adam.mercer@ligo.org> 7.6-1
- Update for 7.6

* Mon Apr 18 2022 Adam Mercer <adam.mercer@ligo.org> 7.5-1
- Update for 7.5

* Thu Mar 03 2022 Adam Mercer <adam.mercer@ligo.org> 7.4-1
- Update for 7.4

* Mon Jan 24 2022 Adam Mercer <adam.mercer@ligo.org> 7.3-3
- Add LALBurst, LALInspiral, and LALPulsar dependencies for Rocky

* Fri Jan 14 2022 Adam Mercer <adam.mercer@ligo.org> 7.3-2
- Only LAL, LALFrame, LALMetaIO, and LALSimulation are currently packaged for EL8, only add the dependencies on the other packages for EL7

* Thu Jan 13 2022 Adam Mercer <adam.mercer@ligo.org> 7.3-1
- Update for 7.3

* Mon Dec 13 2021 Adam Mercer <adam.mercer@ligo.org> 7.2-2
- Fix versions for 7.2

* Mon Dec 13 2021 Adam Mercer <adam.mercer@ligo.org> 7.2-1
- Update for 7.2

* Thu Nov 18 2021 Adam Mercer <adam.mercer@ligo.org> 7.1-1
- Update for 7.1

* Wed Aug 11 2021 Adam Mercer <adam.mercer@ligo.org> 7.0-1
- Update for 7.0

* Wed Jan 27 2021 Adam Mercer <adam.mercer@ligo.org> 6.81-1
- Update for 6.81

* Tue Jan 12 2021 Adam Mercer <adam.mercer@ligo.org> 6.80-1
- New meta-packages for LALSuite that provides the explict LALSuite
  component versions for the specific LALSuite version.